import request from '@/utils/request'

// 当前定位地点获取
export function location (query) {
  return request({
    url: '/monit/gps/location',
    method: 'get',
    params: query
  })
}

// 获取全部设备定位地点
export function locationBatch () {
  return request({
    url: '/monit/gps/location/batch',
    method: 'get'
  })
}

// 获取轨迹
export function locationPlay (query) {
  return request({
    url: '/monit/gps/location/play',
    method: 'get',
    params: query
  })
}

// 获取全部设备定位地点
export function mileage (query) {
  return request({
    url: '/monit/gps/mileage',
    method: 'get',
    params: query
  })
}
